org.apache.lucene.spatial.prefix.tree

## Interface NumberRangePrefixTree.NRShape

- All Superinterfaces:
    Cloneable, org.locationtech.spatial4j.shape.Shape
  All Known Subinterfaces:
    NumberRangePrefixTree.UnitNRShape
  All Known Implementing Classes:
    NumberRangePrefixTree.NRCell, NumberRangePrefixTree.SpanUnitsNRShape
  Enclosing class:
    NumberRangePrefixTree

      public static interface NumberRangePrefixTree.NRShape
      extends org.locationtech.spatial4j.shape.Shape, Cloneable

  Base interface for `Shape`s this prefix tree supports. It extends `Shape` (Spatial4j) for compatibility with the spatial API even though it doesn't intermix with conventional 2D shapes.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumberRangePrefixTree.NRShape` | `roundToLevel(int targetLevel)` Returns this shape rounded to the target level.
    `String` | `toString()` The result should be parseable by `NumberRangePrefixTree.parseShape(String)`.

    - ### Methods inherited from interface org.locationtech.spatial4j.shape.Shape

      `equals, getArea, getBoundingBox, getBuffered, getCenter, getContext, hasArea, isEmpty, relate`

- - ### Method Detail

    - #### toString

          String toString()

      The result should be parseable by `NumberRangePrefixTree.parseShape(String)`.
      Overrides:
        `toString` in class `Object`

    - #### roundToLevel

          NumberRangePrefixTree.NRShape roundToLevel(int targetLevel)

      Returns this shape rounded to the target level. If we are already more course than the level then the shape is simply returned. The result may refer to internal state of the argument so you may want to clone it.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.